[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TDoubleHelper.IsPositiveInfinity

Check whether a value is positive infinity.

## Declaration

Source position: syshelph.inc line 290

`public class function TDoubleHelper.IsPositiveInfinity(`
`const AValue: Double`
`):Boolean; overload; function TDoubleHelper.IsPositiveInfinity: Boolean; overload;`

## Description

IsPositiveInfinity checks whether a Double-sized floating point value represents a positive infinity. If so, it returns True. When the class function version is used, the value can be specified using AValue. In the method version, the used value is (Self).

## See also

TDoubleHelper.IsNan |  | Check whether a value equals NaN.
TDoubleHelper.IsNegativeInfinity |  | Check whether a value is negative infinity.
TDoubleHelper.IsInfinity |  | Check whether a value is positive or negative infinity.